#!/bin/ksh
set -exv


EXPID=s4 # Tag of ORAS4 on the ECFS repository 
DATASOURCE="ec:/emos/OCEA/4/0001/" # Root of the path where to find ORAS4 on ECFS
YEARI=2015
YEARF=2015 # Last year to download
MEMBER_LST="0" # List of members to download
MON_LST="0430 0531 0630 0731 0831 0930" # List of months to download in formate MMDD
YEAR=$YEARI 

workdir=/scratch/Earth/$USER/ORAS4/
mkdir -p $workdir
cd $workdir

echo $YEAR
for year in `seq $YEARI $YEARF`; do
    for mem in $MEMBER_LST ; do
	echo $mem
	for mon in $MON_LST ; do
	    file=$(ecaccess-file-dir ${DATASOURCE}/opa${mem}/restart/${YEAR}/0001_${YEAR}${mon}_*_restart.tar.gz)
	    echo $file
	    ecaccess-file-get ${DATASOURCE}/opa${mem}/restart/${YEAR}/$file $file
	    gunzip $file
	    tar -xvf ${file/.gz/}
	    rm -f *dat ${file/.gz/}
	    mv 0001_${YEAR}${mon}_*_restart.nc /esnas/releases/ic/ocean/ORCA1/s4/s4_fc${mem}_${YEAR}${mon}_restart.nc
	done
    done
    YEAR=$((YEAR+1))
done

cp ~/tools/cfutools/prep_restarts/example/loop_s4.sh .

sed -i -e 's,'"year0=1992"','"year0=${YEARI}"','  "loop_s4.sh"
sed -i -e 's,'"yearf=2009"','"yearf=${YEARF}"','  "loop_s4.sh"
sed -i -e 's,'"lstMM=( '1031' '0430' )"','"lstMM=( $MON_LST )"',' "loop_s4.sh"
sed -i -e 's,'"TMPDIR=/scratch/vguemas/"','"TMPDIR=$workdir"',' "loop_s4.sh"

chmod 755 loop_s4.sh
./loop_s4.sh
